#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'user.akses_log'}
#{/set}
#{set 'a'}&{'user.log_title'}#{/set}
#{set judulHalaman: a /}
<div class="breadcrumb">&{'user.akses_log'}</div>
<div class="content">
	<div class="bs-callout bs-callout-warning">
	   	<b>&{'user.perhatian'}</b><br />
			&{'user.periksa_akses_log'}
	</div><br />
	<table class="table table-sm" id="tblLog">
	    <thead>
	    <tr>
	        <th>&{'user.waktu_login'}</th>
        	<th>&{'user.waktu_logout'}</th>
        	<th>&{'user.alamat_ip'}</th>
	    </tr>
	    </thead>	    
	</table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
 var table = $("#tblLog").DataTable({
		order: [[ 0, "desc"]],
    language: {
    	"sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
    	processing:   "&{'menu.processing'}",
    	"sSearch":       "&{'menu.ssearch'}",
    	"sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
    	"sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
    },
		ajax: "@{DataTableCtr.accessLogUser()}"
	})
 $('#tblLog_filter input').unbind();
    $('#tblLog_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}